<template>
  <VAppBar
    class="app-right"
    color="primary"
    dark
    fixed
    collapse
  >
    <VTooltip bottom>
      <template v-slot:activator="{ on }">
        <VBtn
          icon
          @click="toggleDark"
          v-on="on"
        >
          <VIcon>fa-adjust</VIcon>
        </VBtn>
      </template>
      <span>Inverter a cor</span>
    </VTooltip>

    <VTooltip bottom>
      <template v-slot:activator="{ on }">
        <VBtn
          icon
          href="//gitlab.com/i.leonardo/ativ-cnpj-conexalabs"
          target="_blank"
          v-on="on"
        >
          <img
            src="@/assets/github/logo-light.png"
            width="24px"
          >
        </VBtn>
      </template>
      <span>GitHub</span>
    </VTooltip>
  </VAppBar>
</template>

<script lang="ts">
import {
  Component, Vue, Mutation,
} from 'nuxt-property-decorator';

@Component
export default class TheHeader extends Vue {
  @Mutation
  toggleDark!: void
}
</script>

<style lang="stylus">
.app-right
  left auto !important
  border-radius 0 0 0 24px !important
</style>
